import { AuthUser, type OAuth2Token } from "./auth.js";
import { BaseProvider } from "./base_provider.js";
export declare const NameGitlab = "gitlab";
export declare class Gitlab extends BaseProvider {
    constructor();
    FetchAuthUser(token: OAuth2Token): Promise<AuthUser>;
}
